# Copyright © 2022 Arrikto Inc.  All Rights Reserved.

"""Access the Rok API."""

from rok_gw_client import RokClient

NAMESPACE = "mynamespace"
CLUSTER_ENDPOINT = "https://myendpoint.com"

# Initialize the Rok client
URL = "%s/rok" % CLUSTER_ENDPOINT
KUBERNETES_HOST = "%s/kubernetes" % CLUSTER_ENDPOINT
client = RokClient(account=NAMESPACE, url=URL,
                   kubernetes_host=KUBERNETES_HOST)


# Access the Rok API
account_info, buckets = client.bucket_list()
print("Successfully retrieved %d Rok bucket(s) in namespace '%s'"
      % (len(buckets), NAMESPACE))
